1

I just bought a Raspberry Pi 2 (model B) for my father.

After a few trials, which included:

  • installing Ubuntu Mate
  • installing Raspbian

I finally converged to plain Ubuntu (14.04), which works pretty well, and is quite fluid.

However, YouTube videos as well as videos played with VLC do not run:

  • video is not fluid
  • I see just some frame, then black screen / a fixed frame, then again just some frame
  • audio follows the same fate :(

I decided to go at least for the YouTube videos and give up with VLC video playing. I found some solutions such as this one or this one, but I did not succeed in making it work properly:

  • With the first solution, I am not able to retrieve the gIT project
  • With the second solution, I am not able to install PiVid, since it requires OMXplayer, and when I try to install OMXplayer, it is not found (neither using aptitude nor using apt-get)

Unfortunately, I need it to work, since otherwise my father cannot listen to music in streaming!

Do you have any solution to the problem?

  • Why don't you use Raspbian? I doubt your father would care. – joan Aug 11 '15 at 16:32
  • It was not enough fluid, unfortunately, and I had some problems with the monitor. I do not know why, probably I misconfigured it. – Eleanore Aug 11 '15 at 17:11
1

Omxplayer was written specifically for the pi so will not be in stock Ubuntu repositories.

The source is available here, but if you have a Raspbian image it might be easier to pull a binary out of that and try it; I can't seem to find it in the actual repo but it is installed by default. There's a shell script wrapper, /usr/bin/omxplayer, plus you need /usr/bin/omxplayer.bin.

Either way, you will also need the pi specific libraries for the videocore hardware. You could try installing those by taking rpi-update from the Raspbian image and running that; it's also in /usr/bin and is a shell script. I think the only prerequisite is curl.

You could also use the method I describe at the end here under /opt/vc.

There are other prerequisite libraries that should be in ubuntu. You will have to track those down by looking at ldd /usr/bin/omxplayer.bin on the running pi. The stuff shown as => not found needs to be installed.

If you are going to use omxplayer for youtube videos, I also recommend yt.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.